
package de.ivu.elect.dokumente.ergebnis;

import de.ivu.elect.business.wahl.control.AbstractNlExportArtefaktNachSystemExportstatusExportContext;

/**
 * @see NlWasModelO3MainDocumentExportMapper
 * @see NlWasModelO3Eml510cExportMapper
 * @see NlWasModelO3Osv43CsvExportMapper
 */
public class NlWasModelO3Bijlage1DocumentExportMapper extends AbstractNlWasModelO3DocumentExportMapper {

  public static final String FILE_FORMAT_NAME = "file.format.ergebnisdokument.export.modelo3.bijlage1";

  public NlWasModelO3Bijlage1DocumentExportMapper() {
    super();
  }

  @Override
  public String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }

  @Override
  protected String getDokumentVorlageNameInfix() {
    return "Model O 3 bijlage";
  }

  /*
   * https://support.elect-it.com/wiki/x/XoE8
   */

  @Override
  public boolean requiresWahlausschusssitzungEinwaende(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return true;
  }

  @Override
  public boolean requiresWahlausschusssitzungEinwaendeBemerkungen(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return true;
  }
}
